cla_wwaddw.f(3)

NAME
cla_wwaddw.f

SYNOPSIS

  Functions/Subroutines
subroutine cla_wwaddw (N, X, Y, W)
CLA_WWADDW adds a vector into a doubled-single vector.

Function/Subroutine Documentation

  subroutine cla_wwaddw (integer N, complex, dimension( * ) X, complex, dimension( * ) Y, complex, dimension( * ) W)

Purpose:

        CLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetic, but not for decimal.

Parameters
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is COMPLEX array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is COMPLEX array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is COMPLEX array, dimension (N)
                The vector to be added.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 80 of file cla_wwaddw.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.